Debian Bug report logs - #652907
xterm: no UTMP/WTMP update with kfreebsd-amd64

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Mats Erik Andersson <mats.andersson@gisladisker.se>

Date: Wed, 21 Dec 2011 18:51:02 UTC

Severity: important

Tags: fixed-upstream

Found in version xterm/276-1

Fixed in version xterm/278-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 21 Dec 2011 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 21 Dec 2011 18:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: submit@bugs.debian.org
Subject: xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 21 Dec 2011 19:48:24 +0100
Package: xterm
Version: 276-1
Severity: important
Usertags: kfreebsd
User: debian-bsd@lists.debian.org

When running on kfreebsd-amd64, Xterm is not able to
record entries in either of /var/run/utmp and /var/log/wtmp.

In contrast, the helper "/usr/lib/utempter/utempter"
is functional when manually used, so the defect lies
burried in the manner in which Xterm makes use of
libutempter.

Of course, the full mechanism is correct with linux-i386,
but not with my kfreebsd-amd64 system.

Best regards,
  Mats Erik Andersson, DM




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 21 Dec 2011 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 21 Dec 2011 21:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 652907@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>, 652907@bugs.debian.org
Subject: Re: Bug#652907: xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 21 Dec 2011 22:17:07 +0100
On Wed, Dec 21, 2011 at 19:48:24 +0100, Mats Erik Andersson wrote:

> Package: xterm
> Version: 276-1
> Severity: important
> Usertags: kfreebsd
> User: debian-bsd@lists.debian.org
> 
> When running on kfreebsd-amd64, Xterm is not able to
> record entries in either of /var/run/utmp and /var/log/wtmp.
> 
> In contrast, the helper "/usr/lib/utempter/utempter"
> is functional when manually used, so the defect lies
> burried in the manner in which Xterm makes use of
> libutempter.
> 
> Of course, the full mechanism is correct with linux-i386,
> but not with my kfreebsd-amd64 system.
> 
Do you have a patch?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 21 Dec 2011 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 21 Dec 2011 21:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 652907@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 652907@bugs.debian.org
Subject: Re: Bug#652907: xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 21 Dec 2011 22:36:13 +0100
onsdag den 21 december 2011 klockan 22:17 skrev Julien Cristau detta:
> On Wed, Dec 21, 2011 at 19:48:24 +0100, Mats Erik Andersson wrote:
> 
> > In contrast, the helper "/usr/lib/utempter/utempter"
> > is functional when manually used, so the defect lies
> > burried in the manner in which Xterm makes use of
> > libutempter.
> > 
> > Of course, the full mechanism is correct with linux-i386,
> > but not with my kfreebsd-amd64 system.
> > 
> Do you have a patch?

Not yet, still trying to understand the failure, since the use
of libutempter only dawned on me when rebuilding Xterm locally.

However, I am amongst other things suspicious of the checking
against "/dev/" and whether "/dev/pts/5" with Linux versus
"/dev/ttyp6" with kFreeBSD could have a bearing here.

It was easier for me to grasp Xvt in my recent NMU, where
libutempter is not making a mess of things, as it obviously
is with Xterm!

Regards,
  Mats E A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 21 Dec 2011 22:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 21 Dec 2011 22:00:06 GMT) Full text and rfc822 format available.

Message #20 received at 652907@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>, 652907@bugs.debian.org
Cc: 652907-submitter@bugs.debian.org
Subject: Re: Bug#652907: xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 21 Dec 2011 16:57:29 -0500
[Message part 1 (text/plain, inline)]
On Wed, Dec 21, 2011 at 10:36:13PM +0100, Mats Erik Andersson wrote:
> onsdag den 21 december 2011 klockan 22:17 skrev Julien Cristau detta:
> > On Wed, Dec 21, 2011 at 19:48:24 +0100, Mats Erik Andersson wrote:
> > 
> > > In contrast, the helper "/usr/lib/utempter/utempter"
> > > is functional when manually used, so the defect lies
> > > burried in the manner in which Xterm makes use of
> > > libutempter.
> > > 
> > > Of course, the full mechanism is correct with linux-i386,
> > > but not with my kfreebsd-amd64 system.
> > > 
> > Do you have a patch?
> 
> Not yet, still trying to understand the failure, since the use
> of libutempter only dawned on me when rebuilding Xterm locally.

the first thing to check is whether main.o uses the symbols from
utempter.  These are used in the configure check:
	addToUtmp("/dev/tty", 0, 1);
	removeFromUtmp();
> 
> However, I am amongst other things suspicious of the checking
> against "/dev/" and whether "/dev/pts/5" with Linux versus
> "/dev/ttyp6" with kFreeBSD could have a bearing here.
> 
> It was easier for me to grasp Xvt in my recent NMU, where
> libutempter is not making a mess of things, as it obviously
> is with Xterm!

actually, the checks for setuid/setgid behavior are a more promising
place to look for a lost ifdef - looking at the ones in main.c for
"USE_UTEMPTER":

#if defined(USE_UTEMPTER)
#if defined(USE_SYSV_UTMP) && !defined(USE_UTEMPTER)
#ifndef USE_UTEMPTER
#endif /* !USE_UTEMPTER */
#if defined(USE_SYSV_UTMP) && !defined(USE_UTEMPTER)
#if (!defined(USE_UTEMPTER) || !defined(DISABLE_SETGID))
#if !defined(USE_UTMP_SETGID) && (!defined(USE_UTEMPTER) || !defined(DISABLE_SETUID))
#if defined(HAVE_POSIX_SAVED_IDS) && !defined(USE_UTMP_SETGID) && !defined(USE_UTEMPTER)
#if defined(HAVE_UTMP) && defined(USE_SYSV_UTMP) && !defined(USE_UTEMPTER)
#ifndef USE_UTEMPTER
#endif /* !USE_UTEMPTER */
#if defined(HAVE_UTMP) && defined(USE_SYSV_UTMP) && !defined(USE_UTEMPTER)
#if defined(USE_UTEMPTER)
#ifndef USE_UTEMPTER
#endif /* USE_UTEMPTER */
#ifdef USE_UTEMPTER

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug#652907. (Wed, 21 Dec 2011 22:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 21 Dec 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 21 Dec 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #28 received at 652907@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 652907@bugs.debian.org
Subject: Re: Bug#652907: xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 21 Dec 2011 23:23:30 +0100
onsdag den 21 december 2011 klockan 16:57 skrev Thomas Dickey detta:
> On Wed, Dec 21, 2011 at 10:36:13PM +0100, Mats Erik Andersson wrote:
> > Not yet, still trying to understand the failure, since the use
> > of libutempter only dawned on me when rebuilding Xterm locally.
> 
> the first thing to check is whether main.o uses the symbols from
> utempter.  These are used in the configure check:
> 	addToUtmp("/dev/tty", 0, 1);
> 	removeFromUtmp();
> > 
> > However, I am amongst other things suspicious of the checking
> > against "/dev/" and whether "/dev/pts/5" with Linux versus
> > "/dev/ttyp6" with kFreeBSD could have a bearing here.
> > 
> > It was easier for me to grasp Xvt in my recent NMU, where
> > libutempter is not making a mess of things, as it obviously
> > is with Xterm!
> 
> actually, the checks for setuid/setgid behavior are a more promising
> place to look for a lost ifdef - looking at the ones in main.c for
> "USE_UTEMPTER":

/* build/xtermcfg.h
 *
 * on kgreebsd-amd64
 */

#define USE_SYSV_UTMP 1
#define USE_UTEMPTER  1

Thus libutempter is intended in the build.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Mon, 02 Jan 2012 16:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 02 Jan 2012 16:15:10 GMT) Full text and rfc822 format available.

Message #33 received at 652907@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 652907@bugs.debian.org
Cc: 652907-submitter@bugs.debian.org
Subject: re: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Mon, 02 Jan 2012 11:13:42 -0500
[Message part 1 (text/plain, inline)]
I setup a kFreeBSD machine to check this, and agree that the configuration
and build work.  But utempter is doing nothing with the calls.  I added
a few trace messages to see what data is passed.  (As an aside, in my
current changes, I've modified xterm to use posix_openpt).  I agree with
your comment here:

>However, I am amongst other things suspicious of the checking
>against "/dev/" and whether "/dev/pts/5" with Linux versus
>"/dev/ttyp6" with kFreeBSD could have a bearing here.

However, if that is the cause, then it's likely a problem with utempter
being confused, rather than xterm.  There is a /dev/pts in kFreeBSD,
but ptsname returns the /dev/ttyp6, etc.

Another place to look is that utempter has an "old" interface (which
xterm uses) and a "new".  Perhaps its developers have broken the old
interface (xvt's source in sid doesn't show your NMU - where can I
find that?)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug#652907. (Mon, 02 Jan 2012 16:15:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 04 Jan 2012 00:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 04 Jan 2012 00:27:09 GMT) Full text and rfc822 format available.

Message #41 received at 652907@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 652907@bugs.debian.org
Cc: 652907-submitter@bugs.debian.org
Subject: re: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Tue, 03 Jan 2012 19:23:39 -0500
[Message part 1 (text/plain, inline)]
...I answered my own question (found #650936, which doesn't use utempter).
I'll take a quick look by recompiling libutempter to see if I can spot
the problem there.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug#652907. (Wed, 04 Jan 2012 00:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 04 Jan 2012 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 04 Jan 2012 02:21:03 GMT) Full text and rfc822 format available.

Message #49 received at 652907@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 652907@bugs.debian.org
Cc: 652907-submitter@bugs.debian.org
Subject: re: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Tue, 03 Jan 2012 21:16:22 -0500
[Message part 1 (text/plain, inline)]
...recompiled libutempter with its debug option turn on.
When xterm is run, utempter reports a problem (not from xterm):

utempter: /dev/ttyp2 belongs to another user

Checking the ownership on that, I see that I own it (which is the
expected behavior).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug#652907. (Wed, 04 Jan 2012 02:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 04 Jan 2012 10:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 04 Jan 2012 10:33:13 GMT) Full text and rfc822 format available.

Message #57 received at 652907@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 652907@bugs.debian.org
Cc: 652907-submitter@bugs.debian.org
Subject: re: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 04 Jan 2012 05:29:36 -0500
[Message part 1 (text/plain, inline)]
...a little more investigation shows that utempter sees /dev/ttyp6
as owned by root.  Bypassing _that_ test lets utempter work.  I'll
investigate to see what solution is appropriate.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug#652907. (Wed, 04 Jan 2012 10:33:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 04 Jan 2012 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 04 Jan 2012 12:39:27 GMT) Full text and rfc822 format available.

Message #65 received at 652907@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: dickey@his.com
Cc: 652907@bugs.debian.org
Subject: Re: Bug#652907: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 4 Jan 2012 13:36:01 +0100
The problem seems to be that kfreebsd-amd64 is changing ownership
of a slave device later than linux-i386 is doing. This is not
recogniced in the source of "libutempter/utempter.c".

The following output demonstrates that at the time of evaluating
ptsname(fd), the two systems differ. The call to grantpt() must
be made much earlier in Xterm for the technique to succeed.

  mats@kbsd $ ls -l $(tty)
  crw--w---- 1 mats tty 0, 106 jan  4 13:19 /dev/ttyp0

  mats@kbsd $ ./a.out
  master at fd 3
  slave pty at /dev/ttyp1
  crw--w---- 1 root root 0, 108 jan  4 13:18 /dev/ttyp1

Observe my running terminal "/dev/ttyp0" is mine, but not yet
the freshly created "/dev/ttyp1" on GNU/kFreeBSD.

  mats@linux $ ls -l $(tty)
  crw--w---- 1 mats tty 136, 0 jan  4 13:22 /dev/pts/0

  mats@linux $ ./a.out
  master at fd 3
  slave pty at /dev/pts/3
  crw--w---- 1 mats tty 136, 3 jan  4 13:21 /dev/pts/3

Here the access was adjusted on the fly with GNU/Linux.

Regards,
  Mats Erik Andersson


#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main(void) {
	int f;
	char *pp, cmd[40];

	if ((f = getpt())< 0)
		return 1;

	printf("master at fd %d\n", f);
	pp = ptsname(f);
	printf("slave pty at %s\n", pp);

	snprintf(cmd, sizeof(cmd), "ls -l %s", pp);
	system(cmd);

	return 0;
}




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Wed, 04 Jan 2012 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 04 Jan 2012 16:57:06 GMT) Full text and rfc822 format available.

Message #70 received at 652907@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>, 652907@bugs.debian.org
Subject: Re: Bug#652907: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Wed, 04 Jan 2012 11:44:30 -0500 (EST)
yes - I could see that, and moved grantpt up above the utempter code.
(I also tested that on Solaris 10, to verify the change).

----- Original Message -----
From: "Mats Erik Andersson" <mats.andersson@gisladisker.se>
To: dickey@his.com
Cc: 652907@bugs.debian.org
Sent: Wednesday, January 4, 2012 7:36:01 AM
Subject: Bug#652907: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64

The problem seems to be that kfreebsd-amd64 is changing ownership
of a slave device later than linux-i386 is doing. This is not
recogniced in the source of "libutempter/utempter.c".

The following output demonstrates that at the time of evaluating
ptsname(fd), the two systems differ. The call to grantpt() must
be made much earlier in Xterm for the technique to succeed.

  mats@kbsd $ ls -l $(tty)
  crw--w---- 1 mats tty 0, 106 jan  4 13:19 /dev/ttyp0

  mats@kbsd $ ./a.out
  master at fd 3
  slave pty at /dev/ttyp1
  crw--w---- 1 root root 0, 108 jan  4 13:18 /dev/ttyp1

Observe my running terminal "/dev/ttyp0" is mine, but not yet
the freshly created "/dev/ttyp1" on GNU/kFreeBSD.

  mats@linux $ ls -l $(tty)
  crw--w---- 1 mats tty 136, 0 jan  4 13:22 /dev/pts/0

  mats@linux $ ./a.out
  master at fd 3
  slave pty at /dev/pts/3
  crw--w---- 1 mats tty 136, 3 jan  4 13:21 /dev/pts/3

Here the access was adjusted on the fly with GNU/Linux.

Regards,
  Mats Erik Andersson


#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main(void) {
	int f;
	char *pp, cmd[40];

	if ((f = getpt())< 0)
		return 1;

	printf("master at fd %d\n", f);
	pp = ptsname(f);
	printf("slave pty at %s\n", pp);

	snprintf(cmd, sizeof(cmd), "ls -l %s", pp);
	system(cmd);

	return 0;
}







Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#652907; Package xterm. (Sun, 08 Jan 2012 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 08 Jan 2012 14:45:06 GMT) Full text and rfc822 format available.

Message #75 received at 652907@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 652907@bugs.debian.org
Cc: 652907-submitter@bugs.debian.org
Subject: re: #652907 xterm: no UTMP/WTMP update with kfreebsd-amd64
Date: Sun, 08 Jan 2012 09:42:20 -0500
[Message part 1 (text/plain, inline)]
fixed in #277

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sun, 08 Jan 2012 14:45:12 GMT) Full text and rfc822 format available.

Message sent on to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug#652907. (Sun, 08 Jan 2012 14:45:15 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 09 Apr 2012 21:03:15 GMT) Full text and rfc822 format available.

Notification sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 21:03:15 GMT) Full text and rfc822 format available.

Message #85 received at 652907-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 652907-close@bugs.debian.org
Subject: Bug#652907: fixed in xterm 278-1
Date: Mon, 09 Apr 2012 20:59:16 +0000
Source: xterm
Source-Version: 278-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_278-1.diff.gz
  to main/x/xterm/xterm_278-1.diff.gz
xterm_278-1.dsc
  to main/x/xterm/xterm_278-1.dsc
xterm_278-1_amd64.deb
  to main/x/xterm/xterm_278-1_amd64.deb
xterm_278.orig.tar.gz
  to main/x/xterm/xterm_278.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652907@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Apr 2012 21:45:01 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 278-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 637001 650291 652907
Changes: 
 xterm (278-1) unstable; urgency=low
 .
   * New upstream release
     - move call to grantpt before asking utempter to add a record, to work
       with kFreeBSD which does not update the terminal's ownership until this
       point (closes: #652907)
     - document limitation of XIM interface in manpage (see #230787)
     - add four new actions for making the selection or data directly copied
       from the screen: exec-formatted, exec-selectable, insert-formatted,
       insert-selectable (closes: #637001)
     - add eightBitMeta resource to control the features which modify or
       interpret the eighth bit of a key when the meta modifier key is pressed
       (prompted by #326200)
     - improve discussion of eightBitInput in the manpage (prompted by #326200)
     - add a workaround for XAllocColor(), which does not actually allocate "a
       read-only colormap entry corresponding to the closest RGB value
       supported by the hardware", but rather a rough approximation (closes:
       #650291)
   * Update copy of XTerm FAQ to revision 1.180 (dated 2012/02/06).
Checksums-Sha1: 
 b2dc544b8c3244e3b7fc6b14db027d63bd02ac59 2016 xterm_278-1.dsc
 753ad19e1a0979e875eb2dc2db60f1fb270486ee 996716 xterm_278.orig.tar.gz
 632e796eac208cf0fccd07b422da23d121f08e11 92766 xterm_278-1.diff.gz
 6f57681302794404c9c8560e6c2c7ddbbb62c456 599146 xterm_278-1_amd64.deb
Checksums-Sha256: 
 03e624b8e983db6ae9df8c22accd2021e4390c9bf323056955e86690a1e69b42 2016 xterm_278-1.dsc
 1372f9afe07bc35bfd47482db146c649223dadd0b472da31f8c337ab37f90585 996716 xterm_278.orig.tar.gz
 05ebeb2dfef593d87f63fd257936ee25a9aa692f00a87246d4aecf28c819b7fd 92766 xterm_278-1.diff.gz
 3cba17cfe99e860f2dd4e5bfc77173ec2cbd4c9e91f9faeb148ea687b0823754 599146 xterm_278-1_amd64.deb
Files: 
 413017d47d8391112fc8787aa74074c1 2016 x11 optional xterm_278-1.dsc
 3eeddfe35cb0a2db1924cfe0c20be443 996716 x11 optional xterm_278.orig.tar.gz
 cd7956a8fc5f61fdfb5cec006d75cac8 92766 x11 optional xterm_278-1.diff.gz
 d2c714d20cfb7dc856e4c58b303b7235 599146 x11 optional xterm_278-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPg0AqAAoJEDEBgAUJBeQM7XIP/01A5J0Kuw5qk6nOFSDdst2g
x/I7YcmIEYnRe8rnbcydqETS/Q3Df8VZvJ0WXW71V91GlZwekDZAAQQp4ImTYt/J
Mjak1+gQhJvmE/5Owpp2WJaQ/YQGR5IJmAqDI8143gnmqOsAHRFjY2JLb/I1twM9
ehZsmg6JrN6BPPl5qaMU6mlJhq1doa+3Q8nKf3E1MaqunMKCHD+fKwcUvVtGXujx
UDlap8cRyxRZjYA0D3kJxxSlJBXqjdOj/LR7GVEmM3Wlv1YfI3DHlaoguJqP/wgH
KlZpQCNRtTrGKPEOBtxPE56iAwVQW0G+D/ls/zVb2TFTHRdW+7Tiw4A0G3aanFJN
CA0CKe9ff9c1pmsGERXbXFLOdS0NwDWdHIyVSPTNtyd5F22UpsHUCVyeqguzZQgF
vyKGQdSBwFT9GPGyHaQWyHQz6+zWYVMJzAFZKo+yv/F5TLKZEbfFH+aun2BS0K3V
Al8xyNSs5FnftG299fekHnaPVo6vXrOlq0zXyrIkeRm1hfur0uPCjt0B+NAOcPb3
+IFvPNHJh3c/rm6IJaIsfT9/XyeXqCB0YO1SdZvqFVxUgSDnCIbdlOhG0gCsem+g
S8WNTmJG5YAFLlZWZ6mCZdY0yHUuMu5ACNod/7sGtsZRQqottfnFvVlP7qDiYWfM
4AzIKjkbN/NKGr5BcOAd
=Ki1a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 May 2012 07:34:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:00:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.